Bug 56504 - Internal error: Segmentation fault. during compile
Summary: Internal error: Segmentation fault. during compile
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-20 06:21 UTC by Jon
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 18:13:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon 2001-11-20 06:21:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
While compiling my code using gcc 2.96 under either redhat 7.0 or 7.2 I get
Internal error: Segmentation fault. at a certain point.  gcc3 or ccc for
alpha works fine.

Sometimes it will compile but will create wrong code and cause the code to
fail.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make
2../mhd3d
3.
	

Actual Results:  Either internal error during compile or runtime produces
nan data and my code fails with nans.

Expected Results:  compile should work and code should run fine like on
gcc3 or ccc for alpha.

Additional info:

I'm perfectly willing to provide the code in a tarball for you.  I have
never encountered this problem with my older versions of code.  Recent
changes involes some pointer issues and macros.  No problems with gcc3 or
ccc for alpha.

Comment 1 Jakub Jelinek 2001-11-28 10:15:00 UTC
Is the certain point always the same file and same error message?
If yes, please write here the exact gcc resp. g++ command line used to
compile the failing source file, plus add -save-temps option and attach
here the resulting .i resp. .ii file.

Comment 2 Alan Cox 2002-12-15 18:13:50 UTC
No reply in a year. User reports gcc 3.x is ok in original report




Note You need to log in before you can comment on or make changes to this bug.